package ktypes

// ISafeInt -- интерфейс к потокобезопасной переменной
type ISafeInt interface {
	// Get -- возвращает хранимое значение потокобезопасной переменной
	Get() int
	// Set -- устанавливает хранимое потокобезопасное значение
	Set(int)
	// Reset -- сбрасывает хранимое потокобезопасное значение
	Reset()
	// FromStr -- устанавливет значение из строки
	FromStr(string) Result[int]
	// Getenv -- устанавливает зачение из окружения
	Getenv(string) Result[int]
}
